Get ready to patch ‘severe’ bug in OpenSSL this Thursday, 16th July.

A new high-severity OpenSSL vulnerability is going to be announced on Thursday .

OpenSSL is a widely used library that provides encrypted HTTPS connections for countless websites, as well as other secure services.

It’s not yet known what exactly the vulnerability is: that would give the game away to attackers hoping to exploit the hole before the patch is released to the public. TJS will be assessing the details and applying fixes as needed, as soon as details and fixes are available.

UPDATE – Thursday 9th July 2015

We’ve today found out more about the vulnerability and can confirm that our network is unaffected. If you are having difficulty with your own network, please don’t hesitate to contact us.

Recommended Posts